Page MenuHomePhabricator

Visualization of Technical Events Ecosystem around Wikimania
Closed, ResolvedPublic0 Story PointsJun 17 2019

Description

The Wikimania Technical event ecosystem

  • What are the things everyone in the project should know?
    • As an example, let's say 2020 wikimania will be in Bangkok Thailand? The wikimania event will include a two day pre-conference hackathon (Wednesday and Thursday) and a three day main conference (Friday - Sunday). During the week leading up to Wikimania we would like to host multiple technical meetups, sprints and trainings in the region of the world. We would work with our existing technical communities in the region, existing open events such as FOSSAsia, and meetup.com opensource technical meetup groups. These will be small events (15 - 70 attendees, averaging 50), mostly low budget, mostly pretty informal, mostly 1 day (full day or evening, or morning) with the possibility of multi day.
    • Additionally, in order to create a pipeline of newcomers coming into wikimania we will attempt to fund around 2 participants from each meetup to attend wikimania hackathon and wikimania if our on-the-ground-wikimedians identify anyone who is promising. Additionally we would bring 2-4 promising newcomers from any other technical event throughout the year (wikimedia hackathon or hackstorm for example).
    • Additioanlly some of these regional meetups should be in locations where participants in the region may have visa problems getting into the wikimania location.

The visualization should include timeline, geography, event size, and event purpose /participants.

  • Event: Wikimedia Hackathon ->SEAsial Technical Meetup(s) -> SEAsia Wikimania Hackathon -> SE ASia Wikimania
  • Timeline: Spring -> the week before Wikimania -> Wikimania preconference (Wed & Thursday) -> wikimania (Fri - Sun)
  • Geography: somewhere else in the world -> multiple locations in the region of wikimania -> Bangkok -> Bangkok
  • Event size: 250 -> 50 people at each -> 400 people -> 1500 people
  • Event purpose (who does it support?): support current community + newcomers -> newcomer support & onboarding -> technical and editing communities engaging, newcomers, current technical community -> all wikimedians and newcomers

Project details

  • What do you want to achieve (goals)?
    • Visualization of this plan
  • Who is your target audience (be specific)?

first internal to WMF folks and the eventually this will go on our event team page on meta

  • How do you want your audience to feel?
    • excited. Should be cool to see the event eco-system and good use of resources by having the same people attend multiple events the one region of the world.
    • Clear that we would be having a bigger impact on the region. We can focus the small events to the specific needs and requests of the communities as they need.
  • What medium do you have in mind and how do you want to distribute it?
    • image on commons that can be used on wikis and slideshows
  • Do you already have an idea of what you need to roll out your project? If so, please check all that apply (i.e. [x]):
    • Blog
    • Page on wiki
    • Social media
    • Email or MassMessage
    • Presentation
    • Video
    • Infographic
    • Diagram
    • Art piece
    • Other: _______
    • I don’t know
  • How are you measuring your success (key performance indicators)?
    • The idea would clearly be understood quickly
  • What organizational goal is this linked to? (please link to current Annual Plan details)
    • Newcomers (CE)
    • Events (Core, CE)
  • When is this due?
    • Planning: _______
    • Production: _______
    • Launch: _______
      • (see above message)
  • Please provide additional context & direction:
    • Previous attempts: images attached to last message in this task
    • Relevant visual material: images attached to last message in this task
    • Existing ideas: "
  • Who is leading this project on your team?
    • Rachel Farrand, Events Program Manager, rfarrand@wikimedia.org

Details

Due Date
Jun 17 2019, 7:00 PM

Event Timeline

Rfarrand triaged this task as Normal priority.May 24 2019, 9:38 AM
Rfarrand created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 24 2019, 9:38 AM

@Rfarrand: Is this a CommRel-Design request and should be tagged as such?

Hi Rachel!
I have uploaded your sketches here. You can always find this icon here in Phabricator to any supporting media files, in the same tool bar where you can find .

Like in the tasks for the Hackathon. I am using a set of questions (now in this form) that are different from the Community Relations Specialists request questions. Just as a heads up I would probably need to have them answered to help you in the best way.

In terms of availability, I can start on this on June 3 the earliest. I would estimate it would take about a week including revision.

hdothiduc updated the task description. (Show Details)May 24 2019, 3:08 PM

Ok, the timing sounds good for us. Thank you for that!
Here are the responses to your questions that I have not already answered, and next time I will use your template task directly. Sorry for the confusion and does this work?
[Project title]

  • What are the things everyone in the project should know?

As an example, let's say 2020 wikimania will be in Bangkok Thailand? The wikimania event will include a two day pre-conference hackathon (Wednesday and Thursday) and a three day main conference (Friday - Sunday). During the week leading up to Wikimania we would like to host multiple technical meetups, sprints and trainings in the region of the world. We would work with our existing technical communities in the region, existing open events such as FOSSAsia, and meetup.com opensource technical meetup groups. These will be small events (15 - 70 attendees, averaging 50), mostly low budget, mostly pretty informal, mostly 1 day (full day or evening, or morning) with the possibility of multi day.
Additionally, in order to create a pipeline of newcomers coming into wikimania we will attempt to fund around 2 participants from each meetup to attend wikimania hackathon and wikimania if our on-the-ground-wikimedians identify anyone who is promising. Additionally we would bring 2-4 promising newcomers from any other technical event throughout the year (wikimedia hackathon or hackstorm for example).
Additioanlly some of these regional meetups should be in locations where participants in the region may have visa problems getting into the wikimania location.
The visualization should include timeline, geography, event size, and event purpose /participants.

Event: Wikimedia Hackathon ->SEAsial Technical Meetup(s) -> SEAsia Wikimania Hackathon -> SE ASia Wikimania
Timeline: Spring -> the week before Wikimania -> Wikimania preconference (Wed & Thursday) -> wikimania (Fri - Sun)
Geography: somewhere else in the world -> multiple locations in the region of wikimania -> Bangkok -> Bangkok
Event size: 250 -> 50 people at each -> 400 people -> 1500 people
Event purpose (who does it support?): support current community + newcomers -> newcomer support & onboarding -> technical and editing communities engaging, newcomers, current technical community -> all wikimedians and newcomers

Project details

  • What do you want to achieve (goals)?

Visualization of this plan

  • Who is your target audience (be specific)?

first internal to WMF folks and the eventually this will go on our event team page on meta

  • How do you want your audience to feel?

excited. Should be cool to see the event eco-system and good use of resources by having the same people attend multiple events the one region of the world.
Clear that we would be having a bigger impact on the region. We can focus the small events to the specific needs and requests of the communities as they need.

  • What medium do you have in mind and how do you want to distribute it?

image on commons that can be used on wikis and slidesshows.

  • Do you already have an idea of what you need to roll out your project? If so, please check all that apply (i.e. [x]):
    • Blog
    • Page on wiki
    • Social media
    • Email or MassMessage
    • Presentation
    • Video
    • Infographic
    • Diagram
    • Art piece
    • Other: _______
    • I don’t know
  • How are you measuring your success (key performance indicators)?

The idea would clearly be understood quickly

  • What organizational goal is this linked to? (please link to current Annual Plan details)

Newcomers (CE)
Events (Core, CE)

  • When is this due?
    • Planning: _______
    • Production: _______
    • Launch: _______

(see above message)

  • Please provide additional context & direction:
    • Previous attempts: images attached to last message in this task
    • Relevant visual material: images attached to last message in this task
    • Existing ideas: "
  • Who is leading this project on your team?
    • Rachel Farrand, Events Program Manager, rfarrand@wikimedia.org
hdothiduc updated the task description. (Show Details)Jun 4 2019, 10:43 PM
hdothiduc set Due Date to Jun 10 2019, 7:00 PM.
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptJun 4 2019, 10:43 PM
hdothiduc raised the priority of this task from Normal to High.Jun 5 2019, 4:55 PM
hdothiduc moved this task from To-Do to Started on the CommRel-Design board.

Hi there!
Here is a first draft! I am still working on the iconography and colors, but overall I think the layout works like this - at least I hope so.
It might be a bit crowded/busy, so any text that we can shorten would be great! Or if you for example think that the funded people don't need to be this highlighted as much, I could change that. Same goes for any content that you think should be more or less emphasized.

Let me know what you think so far!

Thank you so much for the quick work on this! :)
Keeping in mind that I am not a designer and have trouble thinking visually - here are some initial thoughts:

What is clear:
*the timeline between the Wikimedia Hackathon and Wikimania (so long as we were having the Wikimedia Hackathon in North or South America)

  • The connection between the SE Asian events to each other
  • Clarity that we are working internationally

What is not clear:

  • What the yellow people represent
  • The arrows are a bit unclear still
  • Even with the dates written, its challenging to get an understanding of the timeline around the SE Asian event dates because the general map seems to be arranged from Spring -> Summer, but then them SE Asian events are no longer following that format & also seems to indicate that we would have a single 7 day meetup instead of multiple 1-2 day meetups/trainings.

Ideas for simplification/questions:

  • How would we be able to use this if the location of the Wikimedia Hackathon was not South America but somewhere in Europe? Because at least for the next few years we are not holding the Wikimedia Hackathon in S America.
  • Would it be possible to have the events explained visually with size / purpose next to a map with each event color coded as a dot and the dots represented on a map with the arrows connecting them?
  • Hmmm.. as for the text simplification, could we have some visual way to indicate current technical community, editing community, newcomers. Then the Wikimedia Hackathon would get Current & Newcomers, Wikimania Hackathon & wikimania would get all three, and the meetups would just get the newcomer representation. If there is no clear way to do this I can also work on simplifying the text - just let me know.

Not sure, but it might be worth adding a separate dot for the technical conference in North America (in the fall/winter) kind of disconnected from the other events. But if that makes the visualization more confusing then we don't need to add it.

  • To confuse things event more (sorry!) our Wikimedia Hackathon already often has pre-hackathons in it's region so indicating that as well if there is a way could be helpful.

Does any of this help? Or have I just confused things even more? I will look around online for some other event visualizations and see if I can get any inspiration.

@Aklapper @srishakatux @JLetangWMF, any thoughts or constructive comments from you all?

any thoughts or constructive comments from you all?

Nah, nothing "constructive", just my usual unhelpful rants: ;)

  • Maybe replace "Spring" and "Late Summer" by month name time spans (e.g. "Between April and June") as the southern hemisphere disagrees.
  • Wondering if horizontally aligning SE Asia Technical Meetup markers, using plural "Meetups", and removing text for other markers would make it less noisy. Dunno. Quick and dirty draft:

Hi! Thank you for all the input! It definitely helps!

  1. Are the yellow people (the people you fund to get to Wikimania Hackathon and Wikimania) important? I do agree that they are not clear. So they are also distracting.
  2. Would it be ok to just have the arrow go from the meetups and the Spring hackathon to Wikimania only (and not to the Wikimania hackathon). You get more clarity but lose some accuracy.
  3. Did recognize the height of the lines for each event as the representation of their event size? The thing is I tried the dots method, but Wikimania is in proportion just soo big compared to the meetups that a dot would overshadow anything in its vicinity. Maybe I can rethink that and use non-proportional sizes for the dots or rather circles.
  4. Pre-Hackathons have the same size as meetups?
  5. I would not add the Technical Conference, because it would "ruin" the idea of time going from left to right.
  6. Moving the Hackathon to Europe will make everything more crowded and would be a significant change, probably doable though. It will look less international to me.
  7. Actually you just simplified the wording to "technical community, editing community, newcomers", I will use that. Finding a visual representation that is understand by almost everyone is not easy. So, to be inclusive I would stick with words.
  8. Good point on seasons, I will use "May" and "August" instead.
  9. I think we don't need the horizontal alignment, but if we could remove the text for the other meetups, that would help a lot. That assumes everyone understands that.
  10. Between geography and timeline and event size is there an order of which you would prioritize to have represented accurately?

(numbered these points, so it's easier for you to respond on them)

Hi, so originally I set the deadline for today.
Do you have some flexibility for the launch/sharing date of this?

Currently I am thinking of a map representing geography and size of the events and possibly the movement of people who get funded.
Below this map there is a timeline with the event names and purpose. This timeline is also a kind of legend connecting name and purpose to size and geography, if that makes sense.

I will be occupied with an urgent request until Wednesday end of day PST and can pick this up again on Thursday with any additional feedback you might have.

Hi @hdothiduc, thanks for the awesome job so far! your extension sounds good to me. Do you think we will have a completed draft by end-of-week?

Hi @JLetangWMF, yes I think I can deliver a new draft (with the suggested changes) on Friday.

(Ah! Sorry for not sending this last week - I wrote it all out but didnt submit. Thank goodness Phab saves answers... No worries at all about the new deadline / my fault)

1 Are the yellow people (the people you fund to get to Wikimania Hackathon and Wikimania) important? I do agree that they are not clear. So they are also distracting.
Yeah, I think you are right. we can probably remove the yellow person icon

2 Would it be ok to just have the arrow go from the meetups and the Spring hackathon to Wikimania only (and not to the Wikimania hackathon). You get more clarity but lose some accuracy.
Hmm, since this is suppose to be about the technical events ecosystem I think the Wikimania Hackathon needs to remain. Would it be possible to combine the Wikimania Hackathon and Wikimania? On the other hand I guess we are also really trying to demonstrate the flow of people and people do take things they did at the hackathon and bring them to the wider community at Wikimania.

3 Did recognize the height of the lines for each event as the representation of their event size? The thing is I tried the dots method, but Wikimania is in proportion just soo big compared to the meetups that a dot would overshadow anything in its vicinity. Maybe I can rethink that and use non-proportional sizes for the dots or rather circles.
Ah, yeah. I see that now. If you have any ideas around this I would love to hear them.

4 Pre-Hackathons have the same size as meetups?
Currently there is not standard size. Pre hackathons and meetups would each vary in size from 6 people - 100 people depending on a lot of things. :)

5 I would not add the Technical Conference, because it would "ruin" the idea of time going from left to right.
OK sure, I guess it is part of the ecosystem, not a big deal, but if there is any way to add mention of it somewhere that would be cool. But if not, no worries.

6 Moving the Hackathon to Europe will make everything more crowded and would be a significant change, probably doable though. It will look less international to me.
Yes, however I guess it also slightly mis-represents our current reality or our likely reality for the next year or two - which could possibly be confusing to folks who know about our events because they would look at the map, know we haven;t (yet) done anything in S America and wonder about it.

7 Actually you just simplified the wording to "technical community, editing community, newcomers", I will use that. Finding a visual representation that is understand by almost everyone is not easy. So, to be inclusive I would stick with words.

8 Good point on seasons, I will use "May" and "August" instead.
9 I think we don't need the horizontal alignment, but if we could remove the text for the other meetups, that would help a lot. That assumes everyone understands that.
10 Between geography and timeline and event size is there an order of which you would prioritize to have represented accurately?
hmmm... I think maybe geography first, timeline second and size last.

I hope none of this makes it significantly harder on you. Thank you for your flexibility and continued help in thinking this through. :)

Hi!
Thank you, Rachel for those notes. I tried to incorporate all your feedback in this new draft!

Note that event sizes (circle sizes) are not proportional.
I have included a legend now, let me know if you want to add anything to it.
Let me know what you think, if there is anything unclear (maybe test it with a couple people) and what changes you need!

hdothiduc changed Due Date from Jun 10 2019, 7:00 PM to Jun 17 2019, 7:00 PM.Jun 14 2019, 6:12 PM

OK! Seriously I think this is pretty seriously perfect. I love it. :D <3

Can you change
"current community" to "current community and newcomers" for the "pre-hackathon events"
"technical community" to "core technical community" under "technical conference"
"newcomers" to "SE Asian newcomers" or "local newcomers" under SE Asian technical meetups"

So impressed @hdothiduc

Anything else @JLetangWMF

Would it make it messy to add a little yellow arrow from the green pre-hackathons to the main hackathon? If you think so no need to add it, but if you think it would be OK then it should show that we actually recruit people from the pre hackathons to the main event in some cases. :)

Sure! I can make all the edits.
Glad you like this version!

I'll wait for any more feedback until Monday morning PST, just in case.

OK! Seriously I think this is pretty seriously perfect. I love it. :D <3

+1, looks great.

Here is the graphic with the changes. Let me know if you see anything else that needs to be corrected.


Google Drive link

Wonderful! @JLetangWMF last chance for changes? :)

@hdothiduc I second everything @Rfarrand already said. This draft is great and will do for my presentation. Thank you so much!

However, I would like to continue working on this as, aside from Technical events, I believe we can use this same model to indicate other type of community events like GLAM events, Education events, Editathons, Translateathons.

I thought we could emulate the existing time line in this draft and replace the technical events with the aforementioned type of events, while still revolving around Wikimania. Could the time line be added as an addition, below the technical one (at the risk of making this doc "crowded")? What are your own ideas around this @hdothiduc ?

If we end up making a second one centering around Wikimania, can you also keep this one as it is and upload it to commons. Having two similar ones for different purposes could be helpful.

I am going to use this diagram countless times in countless presentations / discussions / meetings moving forward and having it focus on the technical events will be great for my purposes.

Hi!
@Rfarrand, Quim actually pointed out two things that I want to mention:

  • there is no mention of a year, to me this was intentional, because it's a system, so it could apply to any year - correct?
  • Should it say "Wikimania Technical Events Ecosystem" (Events instead of Event)

@JLetangWMF, I would probably not recommend adding more events to the timeline. Mainly, it will be too crowded and also too colorful to actually understand the timeline.
Showing all kinds of events in one, I am not sure what purpose it would have other than showing how many different events there are, then it might be better to just get rid of a "useless timeline" and focus on geography and size.
In general if you want to highlight different events I would rather substitute the technical events, so instead of hackathons, meetups and technical conference; list GLAM events, Education events, Editathons, Translateathons.

If this will be bigger task, I think it would be better to open a new task, but let's see your thoughts first.

there is no mention of a year, to me this was intentional, because it's a system, so it could apply to any year - correct?
Correct, no year needed :)

Should it say "Wikimania Technical Events Ecosystem" (Events instead of Event)
Yes, good point

JLetangWMF added a comment.EditedJun 18 2019, 11:34 AM

@hdothiduc yes, you make a good point. I think this will be part of a bigger ask. The focus should lie in the events ecosystem as a whole, where technical events are a (crucial) component of. We don't have to start from scratch, as this current design can be used as a baseline. This can be on an extended deadline, as the current one will serve as a visual that highlights technical events. The goal of my presentation is to introduce this format as a framework that can be replicated on a global scale.

in terms of this design, I like how it turned out. I am wondering if, for presentation purposes, we can have the elements like: the dots, the sections of the world map, the time line, appear in some sort of gradual transition? It would support the narrative of the presentation. Thoughts?

(sorry for the long text)

hdothiduc added a comment.EditedJun 18 2019, 7:22 PM

Now I totally forgot to post this yesterday! I uploaded a png here: https://commons.wikimedia.org/wiki/File:Visualization_of_Wikimania_Technical_Events_Ecosystem.png

Please add any description or categories as you need them!

(There is also a svg version in case you will need it: https://commons.wikimedia.org/wiki/File:Visualization_of_Wikimania_Technical_Events_Ecosystem.svg)

If you ever decide that the title should be changed in a presentation, you could use white boxes over the current title and then just add your own text on top (font should be bold Montserrat, black).

@JLetangWMF, I will follow up with this!

Yahoo!! :) This is great. :)

Oh darn, we just realized that the commons file should be "Wikimedia Technical Events Ecosystem" and not "Wikimania Technical Events Ecosystem" Sorry for not catching that sooner. :)

Ok, I requested to move the files/rename the files, once that's done I will upload the new version there.

Here is the png for any immediate use.

Thank you very much and sorry for not catching that earlier :)

hdothiduc closed this task as Resolved.Jun 25 2019, 10:33 PM

If you have edits to the Technical Events Ecosystem visualization, just reopen the task :)

Whenever you are ready for the adaptations of this for GLAM events, editing events etc., please open a new task, you can link to this task.
On the CommRel-Design description page you find information (link to form) on how to open a news task. Looking forward to it!